Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.slide.search
Class CompareHint

    java.lang.Object
      org.apache.slide.search.CompareHint

public class CompareHint
extends java.lang.Object

Field Summary
`protected java.lang.String` | `propName` the name of the property, which shall be compared
`protected java.lang.String` | `propNamespace` the property's namespace

Constructor Summary
`CompareHint(PropertyName prop, boolean ascending, boolean caseSensitive)` Constructor

Method Summary
`PropertyName` | `getComparedProperty()` Method getComparedProperty
`java.lang.String` | `getPropName()` Method getPropName
`java.lang.String` | `getPropNamespace()` Method getPropNamespace
`boolean` | `isAscending()` Method isAscending
`boolean` | `isCaseSensitive()` Method isCaseSensitive

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### propName

    protected java.lang.String propName

  the name of the property, which shall be compared

### propNamespace

    protected java.lang.String propNamespace

  the property's namespace

Constructor Detail

### CompareHint

    public CompareHint(PropertyName prop,
                       boolean ascending,
                       boolean caseSensitive)

  Constructor

Parameters:
  `prop` - a ComparedProperty
  `ascending` - a boolean
  `caseSensitive` - a boolean

Method Detail

### getPropName

    public java.lang.String getPropName()

  Method getPropName

  Returns:
    the property's name

### getPropNamespace

    public java.lang.String getPropNamespace()

  Method getPropNamespace

  Returns:
    the property's namespace

### isAscending

    public boolean isAscending()

  Method isAscending

  Returns:
    a boolean

### isCaseSensitive

    public boolean isCaseSensitive()

  Method isCaseSensitive

  Returns:
    a boolean

### getComparedProperty

    public PropertyName getComparedProperty()

  Method getComparedProperty

  Returns:
    a ComparedProperty

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD